"use client";
import * as e from "react";
//#region ../../node_modules/.bun/@base-ui+react@1.5.0+f4ada88178b00e6f/node_modules/@base-ui/react/esm/internals/csp-context/CSPContext.js
var t = /*#__PURE__*/ e.createContext(void 0);
process.env.NODE_ENV !== "production" && (t.displayName = "CSPContext");
var n = { disableStyleElements: !1 };
function r() {
	return e.useContext(t) ?? n;
}
//#endregion
//#region ../../node_modules/.bun/@base-ui+react@1.5.0+f4ada88178b00e6f/node_modules/@base-ui/react/esm/internals/clamp.js
function i(e, t = -(2 ** 53 - 1), n = 2 ** 53 - 1) {
	return Math.max(t, Math.min(e, n));
}
//#endregion
export { r as n, i as t };
